import { DriverReviewService } from "./driver-review.service";
import { CreateDriverReviewDto } from "./create-driver-review.dto";
export declare class DriverReviewController {
    private readonly reviewService;
    constructor(reviewService: DriverReviewService);
    createReview(dto: CreateDriverReviewDto): Promise<import("../../common/driverreview/driver-review.entity").DriverReview>;
    getDriverReviews(driverId: string): Promise<import("../../common/driverreview/driver-review.entity").DriverReview[]>;
    getDriverAverage(driverId: string): Promise<{
        avgRating: number;
        totalReviews: number;
    }>;
}
